import { IHostedZone } from "aws-cdk-lib/aws-route53";
import { Construct } from "constructs";
/**
 * Utility class for holding domain name information.
 */
export declare class DomainName {
    readonly prefix: string;
    readonly zone: string | IHostedZone;
    readonly privateZone: boolean;
    readonly vpcId?: string;
    constructor(prefix: string, zone: string | IHostedZone, privateZone?: boolean, vpcId?: string);
    toString(): string;
    toIdentifier(): string;
    getHostedZone(scope: Construct, id?: string): IHostedZone;
    static toStrings(domainNames: DomainName[]): string[];
    static toZoneMap(scope: Construct, domainNames: DomainName[]): {
        [domainName: string]: IHostedZone;
    };
}
